> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debt-wise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Learning Modules

> Retrieve a list of learning modules, optionally filtered by category.



## OpenAPI

````yaml api-reference/openapi.yaml GET /api/learning_modules
openapi: 3.0.1
info:
  title: DebtWise API
  version: '2024-07-01'
  description: >-
    The DebtWise API suite is the primary means for developers to offer debt
    management tools within their existing applications.
  contact:
    name: DebtWise Support
    url: https://debt-wise.com
    email: support@debt-wise.com
servers:
  - url: https://staging.debt-wise.com
    description: Sandbox server (uses test data)
  - url: https://app.debt-wise.com
    description: Production server (uses live data)
security:
  - bearerAuth: []
tags:
  - name: Ping
  - name: Users
  - name: Accounts
  - name: Credit Scores
  - name: Equifax
  - name: Debt Payoff Plan
  - name: Debt Payoff Plan Payments
  - name: Articles
  - name: Debt Calculator
paths:
  /api/learning_modules:
    parameters:
      - $ref: '#/components/parameters/acceptEncodingParam'
      - $ref: '#/components/parameters/apiVersionParam'
    get:
      tags:
        - Learning Modules
      summary: Get Learning Modules
      description: Retrieve a list of learning modules, optionally filtered by category.
      operationId: getLearningModules
      parameters:
        - name: category
          in: query
          required: false
          description: Filter modules by specific category
          schema:
            type: string
            enum:
              - career
              - college
              - entrepreneurship
              - financial_basics
              - investing
              - major_milestones
              - risk_management
              - teen_finance
      responses:
        '200':
          description: Returns filtered learning modules by category
          content:
            application/json:
              schema:
                type: object
                properties:
                  modules:
                    type: array
                    items:
                      $ref: '#/components/schemas/LearningModule'
                required:
                  - modules
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  parameters:
    acceptEncodingParam:
      name: Accept-Encoding
      in: header
      description: We can compress a response with gzip.
      required: false
      schema:
        type: string
        example: gzip deflate
    apiVersionParam:
      name: API-Version
      in: header
      description: API API Version. See Versioning page for more details.
      required: false
      schema:
        type: string
        example: '2024-07-01'
  schemas:
    LearningModule:
      type: object
      required:
        - category
        - title
        - content
      properties:
        category:
          type: string
          example: career
          description: The category of the module
        title:
          type: string
          example: ace_a_job_interview
          description: The title/slug of the module
        content:
          type: string
          example: <div class='career-module'><h1>Ace a Job Interview</h1></div>
          description: The full HTML content of the module
    InternalServerError:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: internal_server_error
              description: An identifier of an error type inside API.
            message:
              type: string
              example: >-
                We've notified our engineers and hope to address this issue
                shortly.
              description: A human-readable error description.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````